﻿using UnityEngine;
using System.Collections;

public class Enemy : MonoBehaviour
{
	public ParticleSystem deathEffect;

	private int life = 3;

	// Use this for initialization
	void Start ()
	{
	
	}

	// Update is called once per frame
	void Update ()
	{
	
	}

	void OnCollisionEnter (Collision collision)
	{
		if (collision.collider.gameObject.CompareTag ("Sword")) {
			Debug.Log ("Sword attack life: " + life);
			Debug.Log ("Sword forward    : " + collision.collider.gameObject.transform.forward);
			life--;

			// Effects
			var df = Instantiate (deathEffect.gameObject, transform.position + Vector3.up * 1f, Quaternion.FromToRotation (Vector3.forward, collision.collider.gameObject.transform.forward));
			Destroy (df, deathEffect.startLifetime);


			if (life <= 0) {
				Destroy (gameObject);
			}
		}
	}
}
